We're sorry Aspose doesn't work properply without JavaScript enabled.

Free Support Forum - aspose.com

Is an upgrade needed?

We’re currently using Aspose.Slides SSRS Version 4.3 in our test and Production environments. After reviewing the release notes from releases 4.4 to 4.8, I can’t identify a change that would be value added to our users. They are happy with how Aspose.Slides currently works with our applications.

<?xml:namespace prefix = o ns = "urn:schemas-microsoft-com:office:office" />

From a vendor perspective, is there a reason we should move forward with an upgrade (Maybe from a vendor support, security, performance, standpoint)?

Any information that will help me build rational for an upgrade is appreciated.

Thanks,

Steve

Hi Steve,


Thanks for getting back to us.

As you have shared that you have gone through all the release notes from Aspose.Slides for Reporting Services 4.4.0 to 4.8.0 and have not been able to identify a change that would be a value added for your customers. It solemnly depends on you that if the current version that you are using is working as per your expectations then you can stick with that. However, if you encounter any issues during report rendering while using the existing version then you may need to renew your subscription in that case so as to avail the fix for the incurring issues. Secondly, the latest version of Aspose.Slides for Reporting Services is comparable with SQL Server 2012 as well as against Aspose.Slides for Reporting Services 4.3.0, which is comparable till SQL Server 2008. So, to cut long story short, its up to your requirements that if you need to renew your subscription to avail further fixes in case of issues or to stick with your existing version if it is working fine.

Many Thanks,

Thanks for your response.


Version 4.3 works with SQL 2008 and below. What version began supporting SQL 2010 and what version began supporting 2012?

Is the newer version of Aspose, lets say 4.8 backward compatible with SQL 2005? Do you have a compatibility matrix for this product?

This information will be used for an analysis i’m creating of our applications.

Thanks,
Steve

Hi Steve,


I would suggest you to please use Aspose.Slides for Reporting Services 4.8.0 if you are looking for SQL Server 2010 and 2012 support. This new version also supports Aspose.Slides for Reporting Services 2005, 2008 and 2008 R2. The support for SQL 2012 was introduced for the first time in Aspose.Slides for Reporting Services 4.2.0. So, 4.3.0 should also support the same.

Many Thanks,

In your first response you have: "Aspose.Slides for Reporting Services 4.3.0, which is comparable till SQL Server 2008"

Your second respose says: "The support for SQL 2012 was introduced for the first time in Aspose.Slides for Reporting Services 4.2.0. So, 4.3.0 should also support the same."

Please verify that 4.3 will work with 2010 & 2012.

Thanks again!

Hi Steve,


Yes, it will work for SQL Server 2010 and 2012 in Aspose.Slides for Reporting Services 4.3.0. Please share with us if there is any issue incurring on your end.

Many Thanks,